## q2-demux 2022.11.1+dfsg

=== Makefile ===
.PHONY: all lint test test-cov viz-summarize install dev clean distclean

PYTHON ?= python

all: viz-summarize

lint:
	q2lint
	flake8

test: all
	py.test

test-cov: all
	py.test --cov=q2_demux

q2_demux/_summarize/assets/dist:
	cd q2_demux/_summarize/assets && \
	npm install --no-save && \
	npm run build && \
	cp licenses/* dist/

viz-summarize: q2_demux/_summarize/assets/dist

install: all
	$(PYTHON) setup.py install

dev: all
	pip install -e .

clean: distclean
	rm -rf q2_demux/_summarize/assets/node_modules

distclean:
	rm -rf q2_demux/_summarize/assets/dist

## q2-demux 2020.11.1

=== debian/changelog ===
q2-demux (2020.11.1-1) unstable; urgency=medium

  * New upstream version
  * Trim trailing whitespace.

 -- Steffen Moeller <moeller@debian.org>  Mon, 07 Dec 2020 23:02:24 +0100

q2-demux (2020.11.0-1) unstable; urgency=medium

  * New upstream version
    Closes: #974717
  * Added myself to uploaders
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Removing egg-info files in auto-clean

 -- Steffen Moeller <moeller@debian.org>  Wed, 02 Dec 2020 17:50:38 +0100

q2-demux (2019.10.0-1) unstable; urgency=medium

  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.1
  * Respect DEB_BUILD_OPTIONS in override_dh_auto_test target
  * Needs qiime and q2templates >= 2019.10.0
  * Add autopkgtest

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Sun, 29 Dec 2019 18:12:25 +0300

q2-demux (2019.4.1-1) unstable; urgency=medium

  * Initial release (Closes: #930152)

 -- Liubov Chuprikova <chuprikovalv@gmail.com>  Tue, 04 Jun 2019 02:56:10 +0200

=== debian/control ===
Source: q2-demux
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Liubov Chuprikova <chuprikovalv@gmail.com>,
           Steffen Moeller <moeller@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3,
               python3-setuptools,
               nodejs,
               python3-pytest-cov,
               python3-yaml,
               python3-pandas,
               python3-skbio,
               python3-psutil,
               python3-seaborn,
               qiime (>= 2019.10.0),
               q2-types,
               q2templates
Standards-Version: 4.5.1
Vcs-Browser: https://salsa.debian.org/med-team/q2-demux
Vcs-Git: https://salsa.debian.org/med-team/q2-demux.git
Homepage: https://qiime2.org/
Rules-Requires-Root: no

Package: q2-demux
Architecture: all
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends},
         python3-setuptools,
         python3-numpy,
         python3-pandas,
         python3-skbio,
         python3-seaborn,
         python3-yaml,
         python3-psutil,
         python3-ipywidgets,
         qiime,
         q2-types,
         q2templates
Description: QIIME 2 plugin for demultiplexing of sequence reads
 QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
 package with a focus on data and analysis transparency. QIIME 2 enables
 researchers to start an analysis with raw DNA sequence data and finish with
 publication-quality figures and statistical results.
 Key features:
  * Integrated and automatic tracking of data provenance
  * Semantic type system
  * Plugin system for extending microbiome analysis functionality
  * Support for multiple types of user interfaces (e.g. API, command line,
 graphical)
 .
 QIIME 2 is a complete redesign and rewrite of the QIIME 1 microbiome analysis
 pipeline. QIIME 2 will address many of the limitations of QIIME 1, while
 retaining the features that makes QIIME 1 a powerful and widely-used analysis
 pipeline.
 .
 QIIME 2 currently supports an initial end-to-end microbiome analysis pipeline.
 New functionality will regularly become available through QIIME 2 plugins. You
 can view a list of plugins that are currently available on the QIIME 2 plugin
 availability page. The future plugins page lists plugins that are being
 developed.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1
export LC_ALL=C.UTF-8

# For testing, we need .egg-info so the entry points are available.
export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}; \
	mkdir {build_dir}/q2_demux/_summarize/assets/dist
# Delete .egg-info and other files that were generated along with .egg-info
export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-demux.egg-* {build_dir}/site.py \
	{build_dir}/.coverage* {build_dir}/easy-install.pth


%:
	dh $@ --with python3 --buildsystem=pybuild

#FIXME: Delaying true testing to auto-pkg-tests since QIIME2 module cannot be registered
#       at build time.
override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	dh_auto_test -- -s custom --test-args="cd {build_dir}; py.test-3 --cov=q2_demux" || true
endif

override_dh_auto_clean:
	dh_auto_clean
	rm -f q2_demux.egg-info/PKG-INFO q2_demux.egg-info/SOURCES.txt q2_demux.egg-info/dependency_links.txt q2_demux.egg-info/entry_points.txt q2_demux.egg-info/not-zip-safe q2_demux.egg-info/top_level.txt

=== debian/watch ===
version=4

opts="filenamemangle=s/.*\/archive\/(\d[\d.]+@ARCHIVE_EXT@)/@PACKAGE@-$1/" \
  https://github.com/qiime2/q2-demux/releases/latest .*/archive/(\d[.\d]+)@ARCHIVE_EXT@

## q2-demux 2020.11.1+dfsg

=== debian/changelog ===
q2-demux (2020.11.1+dfsg-1) unstable; urgency=medium

  * Team Upload.
  [ Steffen Moeller ]
  * Fixed d/watch.

  [ Nilesh Patra ]
  * Get JS source building
  * Repack to remove license files for non-existent
    modules in the source-tree
  * New upstream version 2020.11.1+dfsg
  * d/salsa-ci.yml: No i386 build
  * d/tests/run-unit-test: the dis directory exists in the
    source, do not create explicitly

 -- Nilesh Patra <nilesh@debian.org>  Tue, 24 Aug 2021 23:01:00 +0530

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,10 @@
                dh-python,
                python3,
                python3-setuptools,
-               nodejs,
+               webpack,
+               node-uglifyjs-webpack-plugin,
+               node-babel-loader,
+               node-d3,
                python3-pytest-cov,
                python3-yaml,
                python3-pandas,
@@ -39,7 +42,8 @@
          python3-ipywidgets,
          qiime,
          q2-types,
-         q2templates
+         q2templates,
+         node-d3
 Description: QIIME 2 plugin for demultiplexing of sequence reads
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis
  package with a focus on data and analysis transparency. QIIME 2 enables

## q2-demux 2021.8.0+dfsg

=== debian/changelog ===
q2-demux (2021.8.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * Versioned (Build-)Depends qiime and q2 modules (>= 2021.8.0)
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Wed, 29 Sep 2021 17:40:20 +0200

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
                python3-skbio,
                python3-psutil,
                python3-seaborn,
-               qiime (>= 2019.10.0),
-               q2-types,
-               q2templates
-Standards-Version: 4.5.1
+               qiime (>= 2021.8.0),
+               q2-types (>= 2021.8.0),
+               q2templates (>= 2021.8.0)
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/med-team/q2-demux
 Vcs-Git: https://salsa.debian.org/med-team/q2-demux.git
 Homepage: https://qiime2.org/
@@ -40,9 +40,9 @@
          python3-yaml,
          python3-psutil,
          python3-ipywidgets,
-         qiime,
-         q2-types,
-         q2templates,
+         qiime (>= 2021.8.0),
+         q2-types (>= 2021.8.0),
+         q2templates (>= 2021.8.0),
          node-d3
 Description: QIIME 2 plugin for demultiplexing of sequence reads
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis

=== debian/rules ===
--- 
+++ 
@@ -14,6 +14,11 @@
 %:
 	dh $@ --with python3 --buildsystem=pybuild
 
+override_dh_auto_build:
+	dh_auto_build
+	cd q2_demux/_summarize/assets && \
+	webpack --bail
+
 #FIXME: Delaying true testing to auto-pkg-tests since QIIME2 module cannot be registered
 #       at build time.
 override_dh_auto_test:

## q2-demux 2022.2.0+dfsg

=== debian/changelog ===
q2-demux (2022.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Standards-Version: 4.6.1 (routine-update)
  * Adjust versioned (Build-)Depends

 -- Andreas Tille <tille@debian.org>  Tue, 19 Jul 2022 17:30:17 +0200

q2-demux (2021.8.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Replace node-uglifyjs-webpack-plugin by node-terser-webpack-plugin
    Closes: #1011446

 -- Andreas Tille <tille@debian.org>  Tue, 24 May 2022 10:47:25 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
                python3,
                python3-setuptools,
                webpack,
-               node-uglifyjs-webpack-plugin,
+               node-terser-webpack-plugin,
                node-babel-loader,
                node-d3,
                python3-pytest-cov,
@@ -18,10 +18,10 @@
                python3-skbio,
                python3-psutil,
                python3-seaborn,
-               qiime (>= 2021.8.0),
-               q2-types (>= 2021.8.0),
-               q2templates (>= 2021.8.0)
-Standards-Version: 4.6.0
+               qiime (>= 2022.2.0),
+               q2-types (>= 2022.2.0),
+               q2templates (>= 2022.2.0)
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/med-team/q2-demux
 Vcs-Git: https://salsa.debian.org/med-team/q2-demux.git
 Homepage: https://qiime2.org/
@@ -40,9 +40,9 @@
          python3-yaml,
          python3-psutil,
          python3-ipywidgets,
-         qiime (>= 2021.8.0),
-         q2-types (>= 2021.8.0),
-         q2templates (>= 2021.8.0),
+         qiime (>= 2022.2.0),
+         q2-types (>= 2022.2.0),
+         q2templates (>= 2022.2.0),
          node-d3
 Description: QIIME 2 plugin for demultiplexing of sequence reads
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis

## q2-demux 2022.11.1+dfsg

=== debian/changelog ===
q2-demux (2022.11.1+dfsg-2) unstable; urgency=medium

  * Team upload
  * Upload to unstable

 -- Andreas Tille <tille@debian.org>  Tue, 24 Jan 2023 18:40:17 +0100

q2-demux (2022.11.1+dfsg-1) experimental; urgency=medium

  * Team upload.
  * New upstream version
  * Bumped versioned Depends
  * Standards-Version: 4.6.2 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 12 Jan 2023 21:21:28 +0100

q2-demux (2022.8.0+dfsg-1) unstable; urgency=medium

  * Team Upload.
  * New upstream version 2022.8.0+dfsg
  * Updated dependency on qiime/q2-* >= 2022.8.0

 -- Nilesh Patra <nilesh@debian.org>  Mon, 05 Sep 2022 22:49:59 +0530

=== debian/control ===
--- 
+++ 
@@ -18,10 +18,10 @@
                python3-skbio,
                python3-psutil,
                python3-seaborn,
-               qiime (>= 2022.2.0),
-               q2-types (>= 2022.2.0),
-               q2templates (>= 2022.2.0)
-Standards-Version: 4.6.1
+               qiime (>= 2022.11.1),
+               q2-types (>= 2022.11.1),
+               q2templates (>= 2022.11.1)
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/q2-demux
 Vcs-Git: https://salsa.debian.org/med-team/q2-demux.git
 Homepage: https://qiime2.org/
@@ -40,9 +40,9 @@
          python3-yaml,
          python3-psutil,
          python3-ipywidgets,
-         qiime (>= 2022.2.0),
-         q2-types (>= 2022.2.0),
-         q2templates (>= 2022.2.0),
+         qiime (>= 2022.11.1),
+         q2-types (>= 2022.11.1),
+         q2templates (>= 2022.11.1),
          node-d3
 Description: QIIME 2 plugin for demultiplexing of sequence reads
  QIIME 2 is a powerful, extensible, and decentralized microbiome analysis

## q2-demux 2024.5.0+dfsg

=== debian/changelog ===
q2-demux (2024.5.0+dfsg-1ubuntu2) oracular; urgency=medium

  * Rebuild against new qiime with python3.12 tests enabled.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Jul 2024 08:37:10 +0200

q2-demux (2024.5.0+dfsg-1ubuntu1) oracular; urgency=medium

  * Enable again building for Python 3.12

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 10 Jul 2024 15:01:46 +0200

q2-demux (2024.5.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Regenerate debian/control from debian/control.in (routine-update)
  * d/patches/configparser.patch: copy from qiime
  * Only build for Python 3.11 until upstream catches up with Python
    3.12.

 -- Michael R. Crusoe <crusoe@debian.org>  Wed, 26 Jun 2024 14:54:17 +0200

q2-demux (2024.2.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Autopkgtest for all supported Python3 versions
  * Regenerate debian/control from debian/control.in (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 18 Feb 2024 14:48:57 +0100

q2-demux (2023.9.1+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Force stronger versioned dependency q2-types (>= 2023.9.0-2~) to match
    python3-pandas Breaks

 -- Andreas Tille <tille@debian.org>  Sat, 17 Feb 2024 15:38:44 +0100

q2-demux (2023.9.1+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Generate debian/control automatically to refresh version number
  * Build-Depends: s/dh-python/dh-sequence-python3/ (routine-update)
  * Regenerate debian/control from debian/control.in (routine-update)
  * Fix clean target
    Closes: #1045829

 -- Andreas Tille <tille@debian.org>  Tue, 30 Jan 2024 15:51:12 +0100

q2-demux (2023.7.0+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream version 2023.7.0+dfsg  (Closes: #1044059)
  * d/*lintian-overrides: update mismatched override.
  * 0002-skip-test-needing-internet.patch: new.

 -- Étienne Mollier <emollier@debian.org>  Sat, 19 Aug 2023 11:18:21 +0200

=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,8 @@
 
 # DH_VERBOSE := 1
 export LC_ALL=C.UTF-8
+
+#export PYBUILD_DISABLE=python3.12
 
 # For testing, we need .egg-info so the entry points are available.
 export PYBUILD_BEFORE_TEST=python{version} setup.py develop --install-dir {build_dir}; \
@@ -10,9 +12,15 @@
 export PYBUILD_BEFORE_INSTALL=rm -rvf {build_dir}/q2-demux.egg-* {build_dir}/site.py \
 	{build_dir}/.coverage* {build_dir}/easy-install.pth
 
+include /usr/share/dpkg/default.mk
+VERSION_UPSTREAM=$(shell echo $(DEB_VERSION_UPSTREAM) | sed -e 's/\(20[0-9][0-9]\.[0-9]\+\)\..*/\1/')
+
+debian/control: debian/control.in
+	echo "# This file is autogenerated from control.in to update versioned dependencies" > $@
+	sed -e"s/@DEB_VERSION_UPSTREAM@/$(VERSION_UPSTREAM)/g" $< >> $@
 
 %:
-	dh $@ --with python3 --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_build:
 	dh_auto_build

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%@PACKAGE@-$1.tar.gz%,repacksuffix=+dfsg,repack,compression=xz,dversionmangle=auto" \
  https://github.com/qiime2/q2-demux/tags (?:.*?/)?v?(\d[\d.]*)\.tar\.gz
